FullWrtStruct::ZoneHeader Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
FullWrtStruct::ZoneHeader Struct Reference

a structure used to store the data of a zone header in a FullWrite file More...

`#include <FullWrtStruct.hxx>`

Inheritance diagram for FullWrtStruct::ZoneHeader:

## Public Member Functions
| ZoneHeader ()
| constructor
| ZoneHeader (ZoneHeader const &)=default
virtual | ~ZoneHeader ()
| destructor
bool | read (std::shared_ptr< FullWrtStruct::Entry > zone)
| try to read the data header of a classical zone

## Public Attributes
int | m_type
| the zone type
int | m_docId
| the doc id
int | m_fileId
| the file id
int | m_wrapping
| the wrapping type
std::string | m_extra
| some extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ZoneHeader const &dt)
| the operator<<

## Detailed Description

a structure used to store the data of a zone header in a FullWrite file

## Constructor & Destructor Documentation

## ◆ ZoneHeader() [1/2]

FullWrtStruct::ZoneHeader::ZoneHeader | ( |  | ) |
| inline

constructor

## ◆ ZoneHeader() [2/2]

FullWrtStruct::ZoneHeader::ZoneHeader | ( | ZoneHeader const & |  | ) |
| default

## ◆ ~ZoneHeader()

FullWrtStruct::ZoneHeader::~ZoneHeader | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ read()

bool FullWrtStruct::ZoneHeader::read | ( | std::shared_ptr< FullWrtStruct::Entry > | zone | ) |

try to read the data header of a classical zone

Referenced by FullWrtParser::readDocZoneData(), FullWrtParser::readGenericDocData(), and FullWrtGraph::readGraphicData().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ZoneHeader const & | dt )
| friend

the operator<<

## Member Data Documentation

## ◆ m_docId

int FullWrtStruct::ZoneHeader::m_docId

the doc id

Referenced by read(), FullWrtParser::readDocZoneData(), and FullWrtParser::readGenericDocData().

## ◆ m_extra

std::string FullWrtStruct::ZoneHeader::m_extra

some extra data

Referenced by read().

## ◆ m_fileId

int FullWrtStruct::ZoneHeader::m_fileId

the file id

Referenced by read(), FullWrtParser::readGenericDocData(), and FullWrtGraph::sendSideBar().

## ◆ m_type

int FullWrtStruct::ZoneHeader::m_type

the zone type

Referenced by read(), FullWrtParser::readDocZoneData(), FullWrtParser::readGenericDocData(), FullWrtGraph::readGraphicData(), and FullWrtGraph::readSideBar().

## ◆ m_wrapping

int FullWrtStruct::ZoneHeader::m_wrapping

the wrapping type

Referenced by read(), and FullWrtGraph::sendSideBar().

The documentation for this struct was generated from the following files:

- FullWrtStruct.hxx
- FullWrtStruct.cxx